
Basic types
===========

Constants
---------

.. doxygenvariable:: orcus::INDEX_NOT_FOUND
.. doxygenvariable:: orcus::XMLNS_UNKNOWN_ID
.. doxygenvariable:: orcus::XML_UNKNOWN_TOKEN

Type aliases
------------

.. doxygentypedef:: orcus::xml_token_attrs_t
.. doxygentypedef:: orcus::xml_token_t
.. doxygentypedef:: orcus::xmlns_id_t

Structs
-------

.. doxygenstruct:: orcus::date_time_t
.. doxygenstruct:: orcus::length_t
.. doxygenstruct:: orcus::parse_error_value_t
.. doxygenstruct:: orcus::xml_declaration_t
.. doxygenstruct:: orcus::xml_name_t
.. doxygenstruct:: orcus::xml_token_attr_t
.. doxygenstruct:: orcus::xml_token_element_t

Enums
-----

.. doxygenenum:: orcus::character_set_t
.. doxygenenum:: orcus::dump_format_t
.. doxygenenum:: orcus::format_t
.. doxygenenum:: orcus::length_unit_t

Utility functions
-----------------

.. doxygenfunction:: orcus::get_dump_format_entries
.. doxygenfunction:: orcus::to_character_set
.. doxygenfunction:: orcus::to_dump_format_enum
